View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000906Ecere SDKecerepublic2013-05-16 22:372013-08-30 05:50
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
Platform-crossplatformOS-OS Version-
Product Version0.44.08 
Target Version0.44.09Fixed in Version0.44.09 
Summary0000906: add runtime option to ecere's memory manager pooling
Descriptionadd runtime option to ecere's memory manager pooling
at if(p < NUM_POOLS) line in instance.ec
for use when by valgrind integration
Additional Informationhow will this work? <-- assigned for answer to this question
TagsNo tags attached.
Attached Files

- Relationships
related to 0000897closedredj valgrind integration 

-  Notes
(0000838)
jerome (administrator)
2013-05-20 20:50

ecs could be tweaked to add the call to the .main.ec (would need some kind of config option as well)
(0000883)
redj (administrator)
2013-06-05 12:55
edited on: 2013-06-05 12:57

implemented by https://github.com/redj/ecere-sdk/commit/a701cac87f4bb5c69a1ee0dd198cf695b27b9a72 [^]

(in work branch though and still untested; waiting for Linux install)

(0001045)
jerome (administrator)
2013-08-30 05:18

We'd also need to make sure ecs gets reinvoked when toggling that option...
(0001048)
jerome (administrator)
2013-08-30 05:50

Fixed by https://github.com/ecere/ecere-sdk/commit/2f0459cbb97535404531ff8a2c2233e44375894f [^]

- Issue History
Date Modified Username Field Change
2013-05-16 22:37 redj New Issue
2013-05-16 22:37 redj Status new => assigned
2013-05-16 22:37 redj Assigned To => jerome
2013-05-16 22:38 redj Additional Information Updated
2013-05-20 20:50 jerome Note Added: 0000838
2013-05-20 20:50 jerome Assigned To jerome => redj
2013-05-31 02:49 jerome Target Version => 0.44.5 Debug
2013-06-05 12:55 redj Note Added: 0000883
2013-06-05 12:57 redj Note Edited: 0000883
2013-08-30 05:18 jerome Note Added: 0001045
2013-08-30 05:18 jerome Priority normal => immediate
2013-08-30 05:18 jerome Product Version 0.44.07 => 0.44.08
2013-08-30 05:18 jerome Target Version 0.44.60 Debug => 0.44.10 Tablet Edition
2013-08-30 05:19 jerome Note Added: 0001046
2013-08-30 05:19 jerome Relationship added related to 0000897
2013-08-30 05:28 jerome Note Deleted: 0001046
2013-08-30 05:29 jerome Target Version 0.44.10 Tablet Edition => 0.44.09 64
2013-08-30 05:30 jerome Note Added: 0001047
2013-08-30 05:50 jerome Status assigned => closed
2013-08-30 05:50 jerome Note Added: 0001048
2013-08-30 05:50 jerome Resolution open => fixed
2013-08-30 05:50 jerome Fixed in Version => 0.44.09 64
2013-08-30 05:50 jerome Note Deleted: 0001047



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker